import 'package:yumi/shared/data_sources/models/message/sc_floating_message.dart';

class BigBroadcastGroupMessage {
  String type = "";
  SCFloatingMessage? data;

  BigBroadcastGroupMessage(this.type, this.data);

  BigBroadcastGroupMessage.fromJson(dynamic json) {
    type = json['type'];
    data = json['data'] != null ? SCFloatingMessage.fromJson(json['data']) : null;
  }

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['type'] = type;
    if (data != null) {
      map['data'] = data?.toJson();
    }
    return map;
  }
}
